Skip to main content
POST
/
v1
/
connect-execute
Execute a payment
curl --request POST \
  --url https://api.zeam.money/gw/v1/connect-execute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-zeam-auth: <api-key>' \
  --data '{}'
{}

Authorizations

Authorization
string
header
required

Bearer token issued by the gateway. Source the token from one of:

  • POST /v1/public/auth/verify-otp (OTP user)
  • POST /v1/public/auth-connect/sign-in (Connect app)
  • OAuth (end-user mobile/web)

Include as Authorization: Bearer <token>.

x-zeam-auth
string
header
required

Connect secret for the Connect route group. Partners must include their issued connect secret (x-zeam-auth: <connect-secret>) on all /v1/connect-* calls.

Body

application/json

Execution payload. reference is injected by the gateway.

Response

Execution result.

The response is of type object.